clear all
load tableb05
nu=size(Pv,1)-3;
TC=(TF-32)/1.8; % µ ȯ (F->C)
P=51.715*Pv; %з ȯ (psia->mmHg)
[para,f,J]=nlinfit(TC,P,'p201f',[6; -1000; 200]); 
paraci=nlparci(para,f,J);
confintv=(paraci(:,2)-paraci(:,1))/2;
Tplot=-75:75;
Pplot=10.^(para(1)+para(2)./(Tplot+para(3)));
Pcal=10.^(para(1)+para(2)./(TC+para(3)));
err=(P-Pcal);
ls=err'*err;
var=ls/nu;
format long
disp('     Coefficient       Confidence Interval     Lower Limit      Upper Limit')
disp([para, confintv, paraci]);
format short
figure(1)
plot(Tplot,Pplot,TC,P,'o')
xlabel('Temperature [C]');
ylabel('Vapor Pressure [mmHg]');
figure(2)
plot(P,err,'o',[0:100:14000],zeros(size(0:100:14000)));
xlabel('Vapor Pressure');
ylabel('error');
