clear all
load p208
load tableb06
nu=size(x1,1)-2;
x2=1-x1;
g=x1.*log(gamma1)+x2.*log(gamma2);
X1=x1.*x2.^2;
X2=x1.^2.*x2;
X(:,1)=X1;
X(:,2)=X2;
A=(X'*X)\(X'*g);
gcal=X*A;
gam1calc=exp(x2.^2*(2*A(2)-A(1))+2*x2.^3*(A(1)-A(2)));
gam2calc=exp(x1.^2*(2*A(1)-A(2))+2*x1.^3*(A(2)-A(1)));
err1=gamma1-gam1calc;
err2=gamma2-gam2calc;
SS=err1'*err1+err2'*err2;
err=g-gcal;
var=err'*err/nu;
sigma=sqrt(var);
alpha=diag(inv(X'*X));
confintv=sqrt(alpha)*sigma*t(nu);
format long
disp('     Coefficient       Confidence Interval')
disp([A, confintv]);
format short
figure(1)
plot(g,gcal,'o',[0 0.1],[0 0.1])
xlabel('g(obs)');
ylabel('g(cal)');
figure(2)
plot(g,err,'o',[0:0.01:0.1],zeros(size(0:0.01:0.1)));
xlabel('g');
ylabel('error');
