clear all
load p208
nu=size(x1,1)-2;
x2=1-x1;
g=x1.*log(gamma1)+x2.*log(gamma2);
X1=x1.*x2.^2;
X2=x1.^2.*x2;
X(:,1)=X1;
X(:,2)=X2;
A=(X'*X)\(X'*g);
gsum=gamma1+gamma2;
[para,f,J]=nlinfit(x1,gsum,'p208bf',A); 
paraci=nlparci(para,f,J);
confintv=(paraci(:,2)-paraci(:,1))/2;
gsumcal=exp(x2.^2*(2*para(2)-para(1))+2*x2.^3*(para(1)-para(2)))...
   +exp(x1.^2*(2*para(1)-para(2))+2*x1.^3*(para(2)-para(1)));
gam1calc=exp(x2.^2*(2*para(2)-para(1))+2*x2.^3*(para(1)-para(2)));
gam2calc=exp(x1.^2*(2*para(1)-para(2))+2*x1.^3*(para(2)-para(1)));
err1=gamma1-gam1calc;
err2=gamma2-gam2calc;
SS=err1'*err1+err2'*err2;
err=gsum-gsumcal;
var=err'*err/nu;
format long
disp('     Coefficient       Confidence Interval')
disp([para, confintv]);
format short
figure(1)
plot(gsum,gsumcal,'o',[2.1 2.5],[2.1 2.5])
xlabel('gsum(obs)');
ylabel('gsum(cal)');
figure(2)
plot(gsum,err,'o',[2.1:0.1:2.5],zeros(size(2.1:0.1:2.5)));
xlabel('gsum');
ylabel('error');
